//==========================================================================
// スカイドーム [SkyDome.h]
// author: tatsuya ogawa
//==========================================================================
#pragma once

//==========================================================================
// include
//==========================================================================
#include "dxlib.h"

namespace common
{
	//==========================================================================
	//
	// class  : SkyDome
	// Content: スカイドーム
	//
	//==========================================================================
	class SkyDome : public mslib::ObjectManager
    {
    public:
        SkyDome();
        ~SkyDome();

        /**
        @brief 初期化
        */
        void Init() override;

        /**
        @brief 更新
        */
        void Update() override;

        /**
        @brief デバッグ
        */
        void Debug() override;
    };
}